# Uses of Interface
org.eclipse.jface.text.IPositionUpdater

Packages that use IPositionUpdater
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.formatter
Provides a content formatter add-on for an `ITextViewer`.
org.eclipse.jface.text.link
Application programming interfaces for interaction with the Eclipse text editor's linked position support.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IPositionUpdater in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement IPositionUpdater
Modifier and Type
Class
Description
`class`
`DefaultPositionUpdater`
Default implementation of `IPositionUpdater`.
Methods in org.eclipse.jface.text that return IPositionUpdater
Modifier and Type
Method
Description
`IPositionUpdater[]`
AbstractDocument.`getPositionUpdaters()`
`IPositionUpdater[]`
IDocument.`getPositionUpdaters()`
Returns the list of position updaters attached to the document.
Methods in org.eclipse.jface.text with parameters of type IPositionUpdater
Modifier and Type
Method
Description
`void`
AbstractDocument.`addPositionUpdater(IPositionUpdater updater)`
`void`
IDocument.`addPositionUpdater(IPositionUpdater updater)`
Appends a new position updater to the document's list of position updaters.
`void`
AbstractDocument.`insertPositionUpdater(IPositionUpdater updater, int index)`
`void`
IDocument.`insertPositionUpdater(IPositionUpdater updater, int index)`
Inserts the position updater at the specified index in the document's list of position updaters.
`void`
AbstractDocument.`removePositionUpdater(IPositionUpdater updater)`
`void`
IDocument.`removePositionUpdater(IPositionUpdater updater)`
Removes the position updater from the document's list of position updaters.

## Uses of IPositionUpdater in org.eclipse.jface.text.formatter

Classes in org.eclipse.jface.text.formatter that implement IPositionUpdater
Modifier and Type
Class
Description
`protected class`
`MultiPassContentFormatter.NonDeletingPositionUpdater`
Position updater that shifts otherwise deleted positions to the next non-whitespace character.

## Uses of IPositionUpdater in org.eclipse.jface.text.link

Classes in org.eclipse.jface.text.link that implement IPositionUpdater
Modifier and Type
Class
Description
`class`
`InclusivePositionUpdater`
Position updater that considers any change in `[p.offset, p.offset + p.length]` of a `Position` `p` as belonging to the position.

## Uses of IPositionUpdater in org.eclipse.jface.text.source

Fields in org.eclipse.jface.text.source declared as IPositionUpdater
Modifier and Type
Field
Description
`protected IPositionUpdater`
SourceViewer.`fSelectionUpdater`
Position updater for saved selections